package com.pcloud.book.book.dto;

import com.pcloud.book.book.entity.BookAdviser;
import com.pcloud.common.entity.BaseEntity;

import java.util.List;

/**
 * 设置主编辑Dto
 *
 * @version 1.0
 * @author:lihao
 * @date 创建时间：2017年7月10日 下午3:22:42
 */
public class BookMainAdviserDto extends BaseEntity {
    /**
     * 序列化
     */
    private static final long serialVersionUID = 3381250496960854081L;


    /**
     * 图书标识
     */
    private Long bookId;

    /**
     * 渠道标识
     */
    private Long channelId;

    /**
     * 编辑标识
     */
    private Long adviserId;

    /**
     * 图书编辑关联实体
     */
    private List<BookAdviser> bookAdviserList;

    /**
     * 主编辑是否改变
     */
    private Integer isChange;

    /**
     * 申诉状态
     */
    private Integer appealState;

    /**
     * 申诉标识
     */
    private Long bookAppealId;

    /**
     * 版本号
     */
    private Integer version;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public List<BookAdviser> getBookAdviserList() {
        return bookAdviserList;
    }

    public void setBookAdviserList(List<BookAdviser> bookAdviserList) {
        this.bookAdviserList = bookAdviserList;
    }

    public Integer getIsChange() {
        return isChange;
    }

    public void setIsChange(Integer isChange) {
        this.isChange = isChange;
    }

    public Integer getAppealState() {
        return appealState;
    }

    public void setAppealState(Integer appealState) {
        this.appealState = appealState;
    }


    public Long getBookAppealId() {
        return bookAppealId;
    }

    public void setBookAppealId(Long bookAppealId) {
        this.bookAppealId = bookAppealId;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "BookMainAdviserDto [bookId=" + bookId + ", channelId=" + channelId + ", adviserId=" + adviserId
                + ", bookAdviserList=" + bookAdviserList + ", isChange=" + isChange + ", appealState=" + appealState
                + ", bookAppealId=" + bookAppealId + ", version=" + version + "]";
    }

}
